// MLP101CDlg.h : header file
//

#pragma once
#include "MLP101CUSBHIDIO.h"
#include "afxwin.h"

#define TIMER_PERIOD 100			// ms

// CHIDIOWINCDlg dialog
class CHIDIOWINCDlg : public CDialog
{
// Construction
public:
	CHIDIOWINCDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_HIDIOWINC_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()

public:
  unsigned char Tbuffer[64];
	afx_msg void OnBnClickedButtonOpen();
	afx_msg void OnDestroy();
	char str[256];

	int CheckIfOpen(void);
	int UpdateCURRENT(void);
	afx_msg void OnTimer(UINT_PTR nIDEvent);
public:
	int UpdateLED(void);
  CStatic c_Error;
  CString m_EditVoltage;
  afx_msg void OnClickedButton1Vset();
  CString m_StaticVoltage;
  CString m_Static_Current;
  afx_msg void OnBnClickedButton2On();
  afx_msg void OnBnClickedButton1Off();
  CString m_StaticLoopV;
  afx_msg void OnBnClickedButton1();
  CString m_EditC1;
  CString m_EditC2;
  afx_msg void OnBnClickedButton2();
};
